5.3.0-git
2014-10-25

[#10751] Automatically strip utm_* (urchin/google analytics) parameters from bookmarked URLs
Summary Automatically strip utm_* (urchin/google analytics) parameters from bookmarked URLs
Queue Trean
Type Enhancement
State Resolved
Priority 1. Low
Owners chuck (at) horde (dot) org
Requester chuck (at) horde (dot) org
Created 2011-11-12 (1078 days ago)
Due
Updated 2012-12-21 (673 days ago)
Assigned
Resolved 2012-12-21 (673 days ago)
Milestone
Patch No

History
2012-12-21 06:01:02 Chuck Hagenbuch Assigned to Chuck Hagenbuch
State ⇒ Resolved
 
2012-12-21 06:00:14 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit f503d3d05ea995a47361b7213fe042797016e6c0
Author: Chuck Hagenbuch <chuck@horde.org>
Date:   Fri Dec 21 00:59:54 2012 -0500

     Strip utm_ parameters from incoming bookmarks, and provide a 
script to strip them from already-saved bookmarks (Request #10751)

  trean/bin/trean-backfill-remove-utm-params |   28 
++++++++++++++++++++++++++++
  trean/docs/CHANGES                         |    2 ++
  trean/lib/Url.php                          |   22 ++++++++++++++++++++++
  trean/package.xml                          |    2 ++
  trean/templates/add.html.php               |    2 +-
  5 files changed, 55 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/f503d3d05ea995a47361b7213fe042797016e6c0
2011-11-12 23:37:15 Chuck Hagenbuch Comment #1
State ⇒ New
Patch ⇒ No
Milestone ⇒
Queue ⇒ Trean
Summary ⇒ Automatically strip utm_* (urchin/google analytics) parameters from bookmarked URLs
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
Same as http://blog.pinboard.in/2011/06/war_on_urchin/

War on Urchin!

If you've ever clicked an article in your RSS reader or Twitter 
stream, you may have noticed an unsightly query string clinging to the 
end of your URL like shit to a sneaker:

http://www.example.com/chromebook-series-5-review/?utm_source=feedburner&utm_medium=feed&utm_campaign=Feed%3A+weblogsinc%2Fengadget+%28Engadget%29
These parameters are used for tracking by a Google product called 
Urchin. There are five of them (term, campaign, media, source and 
content) and they are just another one of the malicious effects of URL 
shortening. When everyone is passing around shortened links, it's 
easier to add this kind of cruft to the fully-expanded URLs without 
anyone caring much.

Today I finally started stripping utm_* query parameters from all URLs 
arriving in Pinboard. They create needless URL bloat, erode user 
privacy, make it more difficult to identify duplicate content, and 
benefit ad publishers at the expense of everyone else. Out they go!

It will take me a little while to make this change retroactive, so 
some users may see what appear to be duplicate bookmarks show up in 
their account. Please rest assured that these will disappear as I work 
my way backwards through the database.

Soon: death to URL shorteners!